Subject: [PATCH 5/7] ARM: EXYNOS4: Add support external GIC

From: [email-masked] (Marc Zyngier)
Date: Wed, 02 Nov 2011 11:15:39 +0000

On 12/10/11 06:16, Kukjin Kim wrote:
> Marc Zyngier wrote:
>>
>> Hi Changwan,
>>
>> On 11/10/11 13:22, Changhwan Youn wrote:
>>>> Kukjin, could you please comment on the presence of a common memory
>>>> region for the distributor? This seem quite odd...
>>>
>>> Some registers in Distributor are banked for PPI and SGI support (banked
>> interrupts).
>>> The register for pending and enable status of these interrupts are
>>> banked.
>>
>> Right, that explains it then.
>>
>>> Marc, I think the approach in your patch is much better than mine if it
> doesn't hurt
>>> the performance of other platforms which use the common gic code.
>>
>> It probably doesn't hurt the general case too much (I expect a bit more
>> pressure on the d-cache because of the per-cpu stuff, but nothing to be
>> too worried about).
>>
>>> I'll re-work the exynos4 interrupt code based on your patch though
>>> I'm not sure that it's possible to be merged in merge window.
>>
>> My main concern at the moment is that mainline is broken as far as
>> EXYNOS4 is concerned (there's a race with the EOI hook), so that should
>> get fixed first.
>>
> Hi Marc,
> 
> OK. I agree with Will and your opinions and I think Changhwan can fix it as
> per your suggestion, but he needs fixed/updated regarding gic codes to avoid
> re-work and conflicts with others. So it would be better to us if he could
> fix it after merging your patches even probably at the end of upcoming merge
> window. I hope he can do it before v3.2-rc1.

Right. So this damned thing has made it to mainline in its full glory.
Furthermore, the MCT code is also broken, as it uses the old PPI API
(doesn't even compile).

Can we please fix this as soon as possible? I posted patches for both a
while ago, with almost no reaction...

	M.
-- 
Jazz is not dead. It just smells funny...